# $Revision: 1.28 $, $Date: 2012/03/08 20:09:18 $
Summary:	X Video (Xv) extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Video (Xv)
Name:		xorg-lib-libXv
Version:	1.0.7
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXv-%{version}.tar.bz2
# Source0-md5:	5e1ac203ccd3ce3e89755ed1fbe75b0b
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Obsoletes:	libXv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libXv is a library for the X Video (Xv) extension to the X Window
System.

%description -l pl.UTF-8
libXv to biblioteka rozszerzenia X Video (Xv) systemu X Window.

%package devel
Summary:	Header files for libXv library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXv
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-videoproto-devel
Obsoletes:	libXv-devel

%description devel
libXv is a library for the X Video (Xv) extension to the X Window
System.

This package contains the header files needed to develop programs that
use libXv.

%description devel -l pl.UTF-8
libXv to biblioteka rozszerzenia X Video (Xv) systemu X Window.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXv.

%package static
Summary:	Static libXv library
Summary(pl.UTF-8):	Biblioteka statyczna libXv
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXv-static

%description static
libXv is a library for the X Video (Xv) extension to the X Window
System.

This package contains the static libXv library.

%description static -l pl.UTF-8
libXv to biblioteka rozszerzenia X Video (Xv) systemu X Window.

Pakiet zawiera statyczną bibliotekę libXv.

%prep
%setup -q -n libXv-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXv.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXv.so
%{_libdir}/libXv.la
%{_includedir}/X11/extensions/Xvlib.h
%{_pkgconfigdir}/xv.pc
%{_mandir}/man3/Xv*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXv.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXv.spec,v $
Revision 1.28  2012/03/08 20:09:18  qboosh
- updated to 1.0.7

Revision 1.27  2010/10/30 19:47:18  qboosh
- updated to 1.0.6

Revision 1.26  2009/11/12 11:28:01  patrys
- rebuild
- rel 2

Revision 1.25  2009/10/04 22:23:18  qboosh
- updated util-macros version
- added README to docs, longer descs

Revision 1.24  2009/10/03 11:01:05  arekm
- up to 1.0.5

Revision 1.23  2008/11/05 23:29:35  arekm
- release 2

Revision 1.22  2008/03/20 16:46:52  qboosh
- ghost soname symlink
- added AUTHORS to doc

Revision 1.21  2008-03-18 07:07:44  arekm
- up 1.0.4

Revision 1.20  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.18  2006/12/16 15:19:15  arekm
- up to 1.0.3

Revision 1.17  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.16  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.15  2006/09/26 17:21:13  qboosh
- BR: util-macros >= 1.1.0

Revision 1.14  2006/09/26 06:34:31  arekm
- up to 1.0.2

Revision 1.13  2006/03/08 22:25:36  qboosh
- release 1

Revision 1.12  2005/12/28 14:20:40  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.11  2005/12/20 13:46:30  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 12:12:29  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 22:10:06  qboosh
- BR: util-macros >= 0.99.1 (XORG_MANPAGE_SECTIONS)

Revision 1.6  2005/10/20 20:31:46  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.12  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.11  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.10  2004/05/22 20:40:04  qboosh
- unifications, pl, removed empty files and bogus COPYING from doc

Revision 1.9  2004/05/18 11:49:28  grzegol
- updated to 2.2.2

Revision 1.8  2004/03/12 11:03:14  adgor
- Added apropriate conflicts for main & devel
- Added R /sbin/ldconfig where needed

Revision 1.7  2004/03/10 11:15:40  pluto
- release up.

Revision 1.6  2004/03/10 11:11:34  pluto
- more BR:, R:, cosmetics...

Revision 1.5  2004/03/10 10:53:53  pluto
- BR:, R:, cosmetics.

Revision 1.4  2004/03/07 21:33:55  pluto
- R:, release 3.

Revision 1.3  2004/03/05 00:06:40  adgor
- Rel++

Revision 1.2  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.1  2004/03/04 00:11:25  adgor
- Initial
